<?xml version="1.0"?>
<project>
  <modelVersion>4.0.0</modelVersion>
  <groupId>mondrian</groupId>
  <artifactId>mondrian</artifactId>
  <name>Mondrian</name>
  <version>3.11.0.1</version>
  <url>http://mondrian.sourceforge.net</url>
  
  <!--
  
  Ivy dependencies from Mondrian
  
         org="commons-dbcp" name="commons-dbcp" rev="1.2"
         org="commons-math" name="commons-math" rev="1.0"
         org="commons-pool" name="commons-pool" rev="1.3"

        version in commons-vfs.jar is 1.1-SNAPSHOT
         org="commons-vfs" name="commons-vfs" rev="1.0"

         org="javacup" name="javacup" rev="10k"

         org="eigenbase" name="eigenbase-xom" rev="1.3.0.11999"
         org="eigenbase" name="eigenbase-properties" rev="1.1.0.10924"
         org="eigenbase" name="eigenbase-resgen" rev="1.3.0.11873"

         org="org.olap4j" name="olap4j" rev="0.9.7.145"

    Included throught other dependencies?
    
         org="commons-lang" name="commons-lang" rev="2.0"
         org="commons-io" name="commons-io" rev="1.3.1"
         org="commons-logging" name="commons-logging" rev="1.0.4"
         org="commons-collections" name="commons-collections" rev="2.1"

         try xalan 2.6.0?
         
         org="xalan" name="xalan" rev="2.4.1"
         org="xerces" name="xercesImpl" rev="2.5.0"

         org="dom4j" name="dom4j" rev="1.6.1"
         org="log4j" name="log4j" rev="1.2.9"

    Only needed for JDK 1.4 ?
    
         org="backport-util-concurrent" name="backport-util-concurrent" rev="3.0"
         org="retroweaver" name="asm" rev="2.2.3"
         org="retroweaver" name="asm-commons" rev="2.2.3"
         org="retroweaver" name="retroweaver" rev="1.2.4"
         org="retroweaver" name="retroweaver-rt" rev="1.2.4"

    For Mondrian war
    
         org="sun" name="jlfgr" rev="1.0"
         org="junit" name="junit" rev="3.8.1"
         org="javax.servlet" name="jsp-api" rev="2.0"
         org="javax.servlet" name="servlet-api" rev="2.4"
  -->
  <dependencies>
    <dependency>
      <groupId>commons-dbcp</groupId>
      <artifactId>commons-dbcp</artifactId>
      <version>1.2</version>
      <exclusions>
        <exclusion>
          <groupId>javax.sql</groupId>
          <artifactId>jdbc-stdext</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>commons-pool</groupId>
      <artifactId>commons-pool</artifactId>
      <version>1.3</version>
    </dependency>
    <dependency>
      <groupId>org.apache.commons</groupId>
      <artifactId>commons-math</artifactId>
      <version>2.2</version>
    </dependency>
    <dependency>
      <groupId>org.apache.commons</groupId>
      <artifactId>commons-vfs2</artifactId>
      <version>2.1</version>
    </dependency>
    <dependency>
      <groupId>net.sf.squirrel-sql.thirdparty-non-maven</groupId>
      <artifactId>java-cup</artifactId>
      <version>0.10k</version>
    </dependency>
    <dependency>
      <groupId>eigenbase</groupId>
      <artifactId>eigenbase-properties</artifactId>
      <version>1.1.0.10924</version>
    </dependency>
    <dependency>
      <groupId>eigenbase</groupId>
      <artifactId>eigenbase-resgen</artifactId>
      <version>1.3.0.11873</version>
    </dependency>
    <dependency>
      <groupId>eigenbase</groupId>
      <artifactId>eigenbase-xom</artifactId>
      <version>1.3.0.11999</version>
    </dependency>
    <dependency>
      <groupId>org.olap4j</groupId>
      <artifactId>olap4j</artifactId>
      <version>0.9.7.145</version>
    </dependency>
    <dependency>
      <groupId>log4j</groupId>
      <artifactId>log4j</artifactId>
      <version>1.2.9</version>
      <scope>provided</scope>
      <optional>true</optional>
    </dependency>
    <dependency>
      <groupId>javax.servlet</groupId>
      <artifactId>servlet-api</artifactId>
      <version>2.4</version>
      <scope>provided</scope>
      <optional>true</optional>
    </dependency>
  </dependencies>
</project>
